use anyhow::Result;
use crawl::winit::event::{Event, WindowEvent};

fn main() -> Result<()> {
    env_logger::init();
    let (mut context, event_loop) = pollster::block_on(
        crawl::ContextBuilder::new()
            .with_title("BEAVER")
            .with_vsync(false)
            .build(),
    )?;

    event_loop.run(|event, elwt| match event {
        Event::WindowEvent { window_id, event } if window_id == context.window.id() => {
            if context.handle_window_event(&event, elwt) {
                return;
            }

            if let WindowEvent::RedrawRequested = event {
                log::info!("Epic");
                context.window.request_redraw();
            }
        }
        _ => (),
    })?;

    Ok(())
}
